#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%global		__python	/usr/bin/python3
%define		sname		%(echo %{name} | tr -d '-')
#-----------------------------------------------------------------------------
Name		:	gi-docgen
Version		:	2023.1
Release		:	17.0.10.rel%{?dist}
Summary		:	 Documentation tool for GObject-based libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Apache-2.0 OR GPL-3.0-or-later
URL		:	https://gitlab.gnome.org/GNOME/gi-docgen

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-wheel

Requires	:	gi-docgen-doc
Requires	:	python3-markdown 
Requires	:	python3-smartypants
Requires	:	python3-sphinx
Requires	:	python3-sphinx_rtd_theme
Requires	:	python3-typogrify 
Requires	:	xorg-x11-fonts-Type1
#-----------------------------------------------------------------------------
%description
GI-DocGen is a document generator for GObject-based libraries.
GObject is the base type system of the GNOME project.
GI-Docgen reuses the introspection data generated by
GObject-based libraries to generate the API reference
of these libraries, as well as other ancillary documentation.
 
GI-DocGen is not a general purpose documentation tool for
C libraries.
 
While GI-DocGen can be used to generate API references for
most GObject/C libraries that expose introspection data,
its main goal is to generate the reference for GTK and
its immediate dependencies. Any and all attempts at making
this tool more generic, or to cover more use cases,
will be weighted heavily against its primary goal.
 
GI-DocGen is still in development. The recommended
use of GI-DocGen is to add it as a sub-project to
your Meson build system, and vendor it when releasing
dist archives.
 
You should not depend on a system-wide installation
until GI-DocGen is declared stable.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/pkgconfig/%{name}.pc
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/gir/*.py
%{python3_sitelib}/%{sname}/gir/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/templates/basic/*.css
%{python3_sitelib}/%{sname}/templates/basic/*.html
%{python3_sitelib}/%{sname}/templates/basic/*.js
%{python3_sitelib}/%{sname}/templates/basic/*.png
%{python3_sitelib}/%{sname}/templates/basic/*.toml
%{python3_sitelib}/gi_docgen-%{version}.dist-info/
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		doc
Summary		:	Documentation for gi-docgen
License		:	(Apache-2.0 OR GPL-3.0-or-later) AND CC0-1.0

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		doc
Documentation for gi-docgen.
 
#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%doc CHANGES.md CONTRIBUTING.md README.md docs/CODEOWNERS

#=============================================================================
%prep
%setup -q -n %{name}-%{version}

# Remove all bundled fonts. See gi-docgen-*-no-web-fonts.patch.
find . -type f \( -name '*.woff' -o -name '*.woff2' \) -print -delete

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
